holidays:
  # @attrib https://en.wikipedia.org/wiki/Public_holidays_in_Mexico
  #
  # Bank Holidays:
  # The following is the federal legislation, in Spanish, defining when banks
  # must be closed for 2017 - 2019:
  # @source http://www.dof.gob.mx/nota_detalle.php?codigo=5466056&fecha=20/12/2016
  # @source http://www.dof.gob.mx/nota_detalle.php?codigo=5508103&fecha=18/12/2017
  # @source http://www.dof.gob.mx/nota_detalle.php?codigo=5546178&fecha=11/12/2018
  #
  # PDF versions of the above can be also found from the Bank of Mexico's
  # website (http://www.banxico.org.mx/) by going to "Sistema financiero" /
  # "Estabilidad financiera".
  #
  # For convenience, here is the same 2019 bank information condensed and in English:
  # @source http://www.banxico.org.mx/financial-system/d/%7B78042524-F8E9-89EB-9A8E-FD40D0CBCF40%7D.pdf
  MX:
    names:
      es: México
      en: Mexico
    dayoff: sunday
    langs:
      - es
    zones:
      - America/Mexico_City
      - America/Cancun
      - America/Merida
      - America/Monterrey
      - America/Matamoros
      - America/Mazatlan
      - America/Chihuahua
      - America/Ojinaga
      - America/Hermosillo
      - America/Tijuana
      - America/Santa_Isabel
      - America/Bahia_Banderas
    days:
      01-01:
        _name: 01-01
      02-05:
        _name: Constitution Day
      1st monday in February:
        name:
          en: Constitution Day (day off)
          es: Día de la Constitución (día libre)
      03-21:
        name:
          en: Benito Juárez's birthday
          es: Natalicio de Benito Juárez
      3rd monday in March:
        name:
          en: Benito Juárez's birthday (day off)
          es: Natalicio de Benito Juárez (día libre)
      easter -3:
        _name: easter -3
        type: bank
      easter -2:
        _name: easter -2
        type: bank
      05-01:
        _name: 05-01
      05-10:
        _name: Mothers Day
        type: observance
      09-16:
        _name: Independence Day
      11-02:
        _name: 11-02
        type: bank
      11-20:
        _name: Revolution Day
      3rd monday in November:
        name:
          en: Revolution Day (day off)
          es: Día de la Revolución (día libre)
      12-01 every 6 years since 1934:
        name:
          en: Change of Federal Government
          es: Transmisión del Poder Ejecutivo Federal
      12-12:
        name:
          en: Day of the Virgin of Guadalupe
          es: Día de la Virgen de Guadalupe
        type: bank
      12-25:
        _name: 12-25
